﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Share.Dtos.Snapshot;

/// <summary>
/// 网格员系统回复
/// </summary>
public class GuiderSystemInDto
{
    /// <summary>
    /// 密钥
    /// </summary>
    public string VailCode { get; set; } = "";

    /// <summary>
    /// 唯一标识/工单编号
    /// </summary>
    public string ReplyCode { get; set; } = "";

    /// <summary>
    /// 办理时间
    /// </summary>
    public string ReplyDate { get; set; } = "";

    /// <summary>
    /// 办理人
    /// </summary>
    public string ReplyUserName { get; set; } = "";

    /// <summary>
    /// 办理部门
    /// </summary>
    public string ReplyBMName { get; set; } = "";

    /// <summary>
    /// 办理状态 1，7：流转 2：办结 3：退回 4：网格员签收 5：消息推送 6: 超时自动退单
    /// </summary>
    public string ReplyResultType { get; set; } = "";

    /// <summary>
    /// 是否属实 1：是 0：否
    /// </summary>
    public string ReplyISTrue { get; set; } = "";

    /// <summary>
    /// 是否重复 1：是 0：否
    /// </summary>
    public string IsRepeat { get; set; } = "0";

    /// <summary>
    /// 重复工单号
    /// </summary>
    public string RepeatReplyCode { get; set; } = "";

    /// <summary>
    /// 是否隐患 1：是 0：否
    /// </summary>
    public string IsHiddenDanger { get; set; } = "0";

    /// <summary>
    /// 是否重大隐患 - 1 是、0否
    /// </summary>
    public string IsMajorHidden { get; set; } = "0";

    /// <summary>
    /// 网格员姓名
    /// </summary>
    public string MemberName { get; set; } = "";

    /// <summary>
    /// 网格员电话
    /// </summary>
    public string MemberMobile { get; set; } = "";

    /// <summary>
    /// 网格化诉求编号
    /// </summary>
    public string AppealNumber { get; set; } = "";

    /// <summary>
    /// 办理内容
    /// </summary>
    public string ReplyContent { get; set; } = "";

    /// <summary>
    /// 区域id
    /// </summary>
    public string OrgId { get; set; } = "";

    /// <summary>
    /// 区域名称
    /// </summary>
    public string OrgName { get; set; } = "";
    /// <summary>
    /// 区域全称
    /// </summary>
    public string OrgFullName { get; set; } = "";

    /// <summary>
    /// 区域全称
    /// </summary>
    public string DepartmentNo { get; set; } = "";

    /// <summary>
    /// 区域全称
    /// </summary>
    public string ParentOrgId { get; set; } = "";

    /// <summary>
    /// 附件
    /// </summary>
    public List<String> ReplyFileList { get; set; }
}
